## cfdisk-utf8 2.11n-5%2B1

=== fdisk/Makefile ===
# Makefile -- Makefile for util-linux Linux utilities
# Created: Sat Dec 26 20:09:40 1992
# Revised: Fri Oct  6 21:02:21 1995 by r.faith@ieee.org
# Copyright 1992, 1993, 1994, 1995 Rickard E. Faith (faith@cs.unc.edu)
#
include ../make_include
include ../MCONFIG

MAN8=
SBIN=
CFDISK=cfdisk
NOTMADE=

CFLAGS += -DUTF8

ifneq "$(HAVE_SLANG)" "yes"
ifneq "$(HAVE_NCURSES)" "yes"
CFDISK=
NOTMADE=cfdisk
endif
endif

ifeq "$(ARCH)" "m68k"
# It seems the m68k people do not want *fdisk
else
SBIN:=$(SBIN) fdisk
MAN8:=$(MAN8) fdisk.8

ifneq "$(ARCH)" "sparc"
SBIN:=$(SBIN) $(CFDISK) sfdisk
MAN8:=$(MAN8) cfdisk.8 sfdisk.8
endif
endif

all: $(SBIN) $(NOTMADE)

cfdisk.o: cfdisk.c
ifeq "$(HAVE_SLANG)" "yes"
	$(CC) -c $(CFLAGS) -DSLCURSES=1 $< -o $@
else
ifeq "$(HAVE_NCURSES)" "yes"
	$(CC) -c $(CFLAGS) $< -o $@
else
	:
endif
endif

cfdisk: cfdisk.o llseek.o i386_sys_types.o $(LIB)/xstrncpy.o
ifeq "$(HAVE_SLANG)" "yes"
	$(CC) $(LDFLAGS) $^ -o $@ $(LIBSLANG)
else
ifeq "$(HAVE_NCURSES)" "yes"
	$(CC) $(LDFLAGS) $^ -o $@ $(LIBCURSES)
else
	@echo $@ not made since it requires ncurses or slang
endif
endif

# not installed by default
activate: sfdisk
	rm -f activate
	ln -s sfdisk activate

fdisk: fdisk.o llseek.o fdiskbsdlabel.o fdisksgilabel.o fdisksunlabel.o \
	fdiskaixlabel.o i386_sys_types.o partname.o
fdisk.o: fdisk.c fdisk.h
fdiskbsdlabel.o: fdiskbsdlabel.c fdisk.h fdiskbsdlabel.h
fdisksunlabel.o: fdisksunlabel.c fdisksunlabel.h fdisk.h
fdiskaixlabel.o: fdiskaixlabel.c fdiskaixlabel.h fdisk.h
fdisk.o cfdisk.o sfdisk.o fdiskbsdlabel.o fdisksunlabel.o \
	fdisksgilabel.o fdiskaixlabel.o i386_sys_types.o partname.o: common.h
sfdisk: sfdisk.o i386_sys_types.o partname.o

install: all
	$(INSTALLDIR) $(SBINDIR)
	$(INSTALLBIN) $(SBIN) $(SBINDIR)
	$(INSTALLDIR) $(MAN8DIR)
	$(INSTALLMAN) $(MAN8) $(MAN8DIR)

.PHONY:	clean
clean:
	-rm -f *.o *~ core $(SBIN) partitiontype

## cfdisk-utf8 2.11n-5+1

=== Makefile ===
# Makefile -- Makefile for util-linux Linux utilities
# Created: Sat Dec 26 20:09:40 1992
# Revised: Fri Oct  6 21:37:30 1995 by r.faith@ieee.org
# Copyright 1992, 1993, 1994, 1995 Rickard E. Faith (faith@cs.unc.edu)
# May be distributed under the terms of the GNU GPL.
#

include ./make_include
include ./MCONFIG

SUBDIRS= lib fdisk

.PHONEY: all install clean now
all:	defines.h
	@for subdir in $(SUBDIRS); do \
		(cd $$subdir && $(MAKE) $@) || exit 1; \
	done

defines.h make_include:
	./configure

now:
	touch defines.h

$(SUBDIRS): defines.h now
	cd $@ && $(MAKE)

install:
	@if [ "`whoami`" = "root" ]; then umask 022; fi
	@for subdir in $(SUBDIRS); do \
		(cd $$subdir && $(MAKE) $@) || exit 1; \
	done

clean:
	-rm -f *.o *~ omake conftest conftest.c core
	@for subdir in $(SUBDIRS) ; do \
		(cd $$subdir && $(MAKE) $@) || exit 1; \
	done

distclean: make_include clean
	cd po && make distclean
	cd mount && make distclean
	-rm -f defines.h make_include

#
# dist:
#	(cd /tmp; \
#	rm -rf /tmp/util-linux-$(VERSION); \
#	cvs export -fNd util-linux-$(VERSION) -r HEAD util-linux; \
#	cd util-linux-$(VERSION); \
#	find -type d | xargs chmod 755; \
#	find -type f | xargs chmod 644; \
#	find -type d | xargs chown root:root; \
#	find -type f | xargs chown root:root; \
#	cd ..; \
#	GZIP=-9 tar cvvzf util-linux-$(VERSION).tar.gz util-linux-$(VERSION); \
#	cp -p util-linux-$(VERSION)/LSM util-linux-$(VERSION).lsm; \
#	cp -p util-linux-$(VERSION)/ANNOUNCE util-linux-$(VERSION).Announce; \
#	echo Done.)
#

=== debian/changelog ===
cfdisk-utf8 (2.11n-5+1) unstable; urgency=medium

  * Limited the number of plattforms to those, where it is really
    required and cfdisk binary is built. Closes: #136717

 -- Eduard Bloch <blade@debian.org>  Mon,  4 Mar 2002 09:55:13 +0100

cfdisk-utf8 (2.11n-5) unstable; urgency=medium

  * assimilated util-linux to build a small cfdisk-utf8 package. Only cfdisk
    was needed for our new boot floppies, closes: #135332
  * for previous changelog entries, see util-linux package
  * for all missing files, see the util-linux package

 -- Eduard Bloch <blade@debian.org>  Sun, 17 Feb 2002 15:02:06 +0100

=== debian/control ===
Source: cfdisk-utf8
Section: base
Priority: optional
Build-Depends: libncurses5-dev, slang1-utf8-dev, gettext, debhelper
Maintainer: Eduard Bloch <blade@debian.org>
Standards-Version: 3.5.6.0

Package: cfdisk-utf8
Architecture: i386 arm hppa mipsel alpha ia64 powerpc mips
Depends: ${shlibs:Depends}
Description: A small UTF8 capable version of cfdisk
 This package contains the cfdisk program linked against the UTF8
 libraries.
 .
 Do not install it unless you really need a fdisk programs
 which needs to handle with UTF8, or unless you need if for a small
 Linux root filesystem like this on the boot-floppies.

=== debian/rules ===
#! /usr/bin/make -f

SHELL = bash
package = util-linux

ifndef DEB_HOST_ARCH
DEB_BUILD_ARCH := $(shell dpkg --print-installation-architecture)
DEB_HOST_ARCH = $(DEB_BUILD_ARCH)
endif

export arch = $(DEB_HOST_ARCH)
version := $(shell sed -e '1{;s|^util-linux (\(.*\))\ .*|\1|;q;}' debian/changelog)

fdisk_arch = $(findstring $(arch),alpha i386 powerpc arm mips mipsel hppa ia64)
sparc = $(findstring $(arch),sparc)
nohwclock = $(findstring $(arch),s390)

#'

build:
	$(checkdir)
	CFLAGS="-DUTF8" ./configure --disable-nls
	$(MAKE) all arch=$(arch)
	touch build

clean:
	$(checkdir)
	rm -f build sys-utils/rdev
	touch make_include
	-$(MAKE) distclean
	find . -name '*~' -print0 | xargs -0r rm
	find . -name '*.orig' -print0 | xargs -0r rm
	find . -name '*.rej' -print0 | xargs -0r rm
	rm -rf debian/tmp* debian/files* debian/substvars po/messages

# Architecture independant stuff

install: 
	mkdir -p debian/tmp/sbin
	cp fdisk/cfdisk debian/tmp/sbin/cfdisk-utf8

binary-arch:	checkroot build install
	dh_testdir
	dh_testroot
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
#	dh_md5sums
	dh_installdocs
	dh_installman fdisk/cfdisk-utf8.8
	dh_installchangelogs
	dh_compress
	dh_builddeb

define checkdir
	test -f fdisk/fdisk.c -a -f debian/rules
endef

binary:	binary-arch

source diff:
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

checkroot:
	$(checkdir)

.PHONY: binary binary-arch binary-indep clean checkroot

# Local Variables:
# mode:Makefile
# End:
